%define major      60
%define libname    %mklibname %{name} %{major}
%define qt4major   0
%define gtkmajor   0
%define cppmajor   0
%define gtklibname %mklibname gwengui-gtk2_ %{gtkmajor}
%define qt4libname %mklibname gwengui-qt4_ %{qt4major}
%define cpplibname %mklibname gwengui-cpp %{cppmajor}
%define develname  %mklibname %{name} -d

Name:           gwenhywfar
Version:        4.15.3
Release:        %mkrel 1
Summary:        A multi-platform helper library for other libraries
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.aqbanking.de/
# https://www.aquamaniac.de/sites/download/download.php?package=01&release=201&file=01&dummy=%%{name}-%%{version}.tar.gz
Source:         %{name}-%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  autoconf >= 2.58
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  libgcrypt-devel
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  qt4-devel
BuildRequires:  pkgconfig(gtk+-2.0)

Recommends:     %{name}-gui = %{version}

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %libname
Summary:        A multi-platform helper library for other libraries
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %libname
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %qt4libname
Summary:        A multi-platform helper library for other libraries
Group:          System/Libraries
Provides:       %{name}-gui = %{version}

%description -n %qt4libname
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %gtklibname
Summary:        A multi-platform helper library for other libraries
Group:          System/Libraries
Provides:       %{name}-gui = %{version}

%description -n %gtklibname
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %cpplibname
Summary:        A multi-platform helper library for other libraries
Group:          System/Libraries
Provides:       %{name}-gui = %{version}

%description -n %cpplibname
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %develname
Summary:        Gwenhywfar development kit
Group:          Development/C
Requires:       %{libname} = %{version}
Requires:       %{qt4libname} = %{version}
Requires:       %{gtklibname} = %{version}
Requires:       %{cpplibname} = %{version}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %develname
This package contains gwenhywfar-config and header files for writing and
compiling programs using Gwenhywfar.

%prep
%setup -q

%build
%configure2_5x \
        --disable-static \
        --disable-rpath \
        --with-guis="qt4 gtk2" \
        --with-qt4-libs=%{qt4lib} \
        --with-openssl-libs=%{_libdir}
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

ln -snf %{_sysconfdir}/pki/tls/certs/ca-bundle.crt %{buildroot}%{_datadir}/%{name}/ca-bundle.crt

%files -f %{name}.lang
%doc AUTHORS README
%{_bindir}/gct-tool
%{_datadir}/%{name}/

%files -n %libname
%{_libdir}/libgwenhywfar.so.%{major}{,.*}
%{_libdir}/%{name}/

%files -n %qt4libname
%{_libdir}/libgwengui-qt4.so.%{qt4major}{,.*}

%files -n %gtklibname
%{_libdir}/libgwengui-gtk2.so.%{gtkmajor}{,.*}

%files -n %cpplibname
%{_libdir}/libgwengui-cpp.so.%{cppmajor}{,.*}

%files -n %develname
%{_bindir}/gwenhywfar-config
%{_bindir}/gsa
%{_bindir}/xmlmerge
%{_bindir}/mklistdoc
%{_bindir}/typemaker
%{_bindir}/typemaker2
%{_includedir}/gwenhywfar4/
%{_libdir}/*.so
%{_libdir}/cmake/gwengui-qt4-4.1?/
%{_libdir}/cmake/%{name}-4.1?/
%{_libdir}/cmake/gwengui-cpp-4.1?/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/gwenhywfar.m4


%changelog
* Thu Dec 22 2016 daviddavid <daviddavid> 4.15.3-1.mga6
+ Revision: 1076449
- new version: 4.15.3
- switch BRs to pkgconfig()

* Wed Mar 02 2016 umeabot <umeabot> 4.13.1-4.mga6
+ Revision: 983452
- Rebuild for openssl

* Tue Jan 12 2016 luigiwalser <luigiwalser> 4.13.1-3.mga6
+ Revision: 922301
- add patch from fedora to fix build with gnutls 3.4
- rebuild for gnutls

* Mon Sep 14 2015 fwang <fwang> 4.13.1-2.mga6
+ Revision: 879060
- rebuild for new libgcrypt

* Thu Sep 03 2015 zezinho <zezinho> 4.13.1-1.mga6
+ Revision: 872598
- new version 4.13.1

* Wed Oct 15 2014 umeabot <umeabot> 4.10.0-3.mga5
+ Revision: 740515
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.10.0-2.mga5
+ Revision: 680059
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Feb 10 2014 fwang <fwang> 4.10.0-1.mga5
+ Revision: 587885
- add missing so files
- 4.10.0 beta

* Fri Oct 18 2013 umeabot <umeabot> 4.3.3-3.mga4
+ Revision: 505399
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 4.3.3-2.mga3
+ Revision: 353058
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 fwang <fwang> 4.3.3-1.mga3
+ Revision: 257654
- new version 4.3.3

* Sat Dec 31 2011 fwang <fwang> 4.3.1-1.mga2
+ Revision: 189216
- drop merged patch
- new version 4.3.1

* Wed Sep 21 2011 fwang <fwang> 4.3.0-1.mga2
+ Revision: 146342
- fix pathnum
- drop invalid symbol
- new version 4.3.0
- drop .la files
- new version 4.2.1
- rebuild for new gnutls

* Mon Jun 27 2011 fwang <fwang> 4.1.0-1.mga2
+ Revision: 114611
- new version 4.1.0

* Tue Apr 19 2011 pterjan <pterjan> 4.0.9-1.mga1
+ Revision: 88816
- Update to 4.0.9
- Use system certificates

* Thu Feb 10 2011 spuhler <spuhler> 4.0.4-1.mga1
+ Revision: 49672
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package gwenhywfar

